destroy_sample(3)

NAME
destroy_sample - Destroys a sample structure when you are done with it. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void destroy_sample(SAMPLE *spl);

DESCRIPTION
Destroys a sample structure when you are done with it. It is safe to call this even when the sample might be playing, because it checks and will kill it off if it is active. Use this to avoid memory leaks in your program.

SEE ALSO
load_sample(3), exsample(3)